#ifndef FORMLANGUAGECONFIG_H
#define FORMLANGUAGECONFIG_H

#include <QWidget>
#include <QLabel>

#include "BaseWidget.h"
#include "DataTypeDef.h"

namespace Ui {
class FormLanguageConfig;
}

class FormLanguageConfig : public BaseWidget
{
    Q_OBJECT

public:
    explicit FormLanguageConfig(BaseWidget *parent = nullptr);
    ~FormLanguageConfig();

    bool returnParent() override;

private:
    void setLanguage(const int& language);
    int getLanguage();

protected:
    void showEvent(QShowEvent* event) override;
    void hideEvent(QHideEvent* event) override;

private:
    Ui::FormLanguageConfig *ui;
    QLabel* m_background;
    bool m_isModify = false;
    TCU_CFG m_tcu_cfg;
};

#endif // FORMLANGUAGECONFIG_H
